#if !defined( lint ) && !defined( SABER )
/* #ident	"@(#)passwd.h	4.14 99/06/17 xlockmore" */

#endif

/*-
 * Password stuff
 *
 * See xlock.c for copying information.
 *
 * Revision History:
 *
 * Changes made by Paul Wolneykien <manowar@altlinux.ru> (ALT Linux Team)
 * 14-Oct-08: Fix of the multistage conversation and button logout
 *            conflict: 
 *            - add 'isnew' parameter to the PAM_putText() function to
 *              manage this value from PAM conversation procedure.
 * 09-Oct-08: Further PAM integration:
 *            - set of the possible return values of the checkPasswd()
 *              function expanded to represent interruption (icon
 *              pressed) and no-data (just 'enter' pressed) cases.
 *
 * 17-06-99: Started log. :)
 */

extern void initPasswd(void);
extern int checkPasswd(char *buffer);

#ifdef USE_PAM

/* Not authenticated code .*/
#define AUTH_NO 0
/* Successfully authenticated code. */
#define AUTH_YES 1
/* Authentication interrupted code. */
#define AUTH_INT 2
/* No real authentication attempt. */
#define AUTH_NO_TRY 4

#include <security/pam_appl.h>
/*#include <security/pam_misc.h>*/

void PAM_putText(int isnew, const struct pam_message *msg, struct pam_response *resp, Bool PAM_echokeys );
#endif
